#include <iostream>
#include <string>
#include <unordered_map>
using namespace std;

int main() {
    string proggyLine, buggyLine;
    getline(cin, proggyLine);
    getline(cin, buggyLine);
    if (proggyLine.length() != buggyLine.length()) {
        cout << "AUTHENTIC" << endl;
        return 0;
    }
    unordered_map<char, int> charCount;
    for (char c : proggyLine) {
        charCount[c]++;
    }
    for (char c : buggyLine) {
        charCount[c]--;
    }
    for (const auto& entry : charCount) {
        if (entry.second != 0) {
            cout << "AUTHENTIC" << endl;
            return 0;
        }
    }
    cout << "PLAGIARISM" << endl;
    return 0;
}
